Skip to main content
Back to API List Provides an endpoint to create a new Agentic App.
MethodPOST
Endpointhttps://<platform-domain.com>/api/public/apps/createApp
Content-typeapplication/json
Authorization Headerx-api-key: <API-KEY>

Additional Request Headers

FieldsDescriptionMandatory
accountidAccount Id to be used for app creation.Yes
useridUnique user Id to be used for app creation.Yes

Request Parameters

FieldsDescriptionMandatory
nameUnique name of the app to be createdYes
descriptionBrief description of the purpose of the app.Yes
appIconDetails of the icon to be used for the app. Use the following fields to describe the app icon. If this field isn’t provided, a random icon is used for the app.
  • name (required, string): Identifier for the logo to be used as the app icon; allowed values are “logo1-logo10.”
  • type(required, string): Must always be set to “logo.”
  • color(required, string): Hexadecimal color code for the icon. Example: #RRGGBB.
No

Sample Request

Example Curl Command
curl --location 'https://<platform-domain.com>/api/public/apps/createApp' \ 
--header 'Content-Type: application/json' \ 
--header 'x-api-key: your-api-key' \ 
`--header 'accountid: axxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx45' \ 
--header 'userid: uxxxxxxxxxxxxxxxxxxx' \ 
--header 'authorization: bearer xxxxxxxxxxxxxxxxxxx' \ 
--data '{ \
    "name": "Calendar Assistant", \
    "description": "Calendar Assistant app for calendar management." \
}'

Response

On successful creation of the app, response in the following format is received. Sample response - Success (201)
{
  "success": true,
  "data": {
    "appId": "aa-xxxxxxxxxxxxxxxxxxxxxxxxxxxx",
    "name": "Calendar Assistant",
    "description": "Calendar Assistant app for calendar management",
    "appIcon": {
      "name": "logo5",
      "type": "logo",
      "color": "#B2CCFF"
    },
    "status": "IN_DEVELOPMENT",
    "type": "Agentic",
    "accountId": "axxxxxxxxxxxxxx",
    "createdBy": {
      "id": "uxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
      "emailId": "john@example.com"
    },
    "createdAt": "2025-08-18T06:58:21.313Z",
  },
  "meta": {
    "requestId": "req_12345678",
    "timestamp": "2025-08-18T06:58:21.313Z"
  }
}
Sample response - Error
{
  "success": false,
  "error": {
    "code": "ERROR_CODE",
    "message": "Human readable error message",
    "details": {} // Optional additional error details
  },
  "meta": {
    "requestId": "req_1234567890",
    "timestamp": "2025-08-18T06:58:21.313Z"
  }
}
Where ERROR_CODE is one of the following.
HTTP StatusError CodeDescription
400VALIDATION_ERROROne or more request parameters are invalid.
400INVALID_APP_ICONApp icon name, type, or color is invalid. When this error occurs, a random icon is added to the app.
400INVALID_NAME_FORMATApp name contains special characters or an invalid format.
401UNAUTHORIZEDAPI key is missing, invalid, or expired.
401API_KEY_EXPIREDThe provided API key is no longer valid.
401API_KEY_REVOKEDThe API key has been manually revoked.
403INSUFFICIENT_SCOPEThe API key does not have the required scope
403ACCOUNT_ACCESS_DENIEDThe user does not have access to the account.
403USER_PERMISSION_DENIEDUser does not have permission to create apps.
409RESOURCE_CONFLICTAn app with this name already exists in the workspace.
500INTERNAL_ERRORUnexpected server error during processing.
503SERVICE_UNAVAILABLEThe API service is temporarily down for maintenance.